/*

***********
** ABOUT **
***********

*/

#about-section {
    display: flex;
    flex-direction: column;
}

.hero__container {
    padding: 2rem;
    display: flex;
    flex-direction: column;
    gap: 4rem;
}

.header__container {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.header__name {
    font-size: 4rem;
    font-weight: 700;
    margin-bottom: 0.5rem;
    text-align: center;
}
.header__role {
    font-size: 1.5rem;
    font-weight: 500;
    text-align: center;
}
.header__about-description {
    font-size: 1.25rem;
    padding: 1rem 0;
    text-align: center;
    line-height: 1.4;
}

.header__tech-stack {
    display: flex;
    gap: 1rem;
    align-items: center;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.header__tech {
    text-align: center;
}

.header__tech-icon {
    font-size: 2rem;
    color: var(--dark-color);
    margin-bottom: 8px;
}

.header__tech-label {
    text-align: center;
    color: var(--dark-color);
    font-size: 1.25rem;
    font-weight: 500;
}
.header__button {
    margin-top: 1rem;
    width: fit-content;
    align-self: center;
}

.header__name, .header__role, .header__about-description {
    color: var(--dark-color);
}

/* 

******************
** CONTACT FORM **
******************

*/

#contact-form {
    border-radius: var(--modal-border-radius);
    background-color: var(--dark-color);
    box-shadow: var(--box-shadow);
    padding: 2rem;
}

#contact-form .input-group {
    margin: 1.5rem 0;
}

#contact-form label {
    display: block;
    font-size: 1rem;
    font-weight: 500;
    margin-bottom: 0.75rem;
}

#contact-form input,
#contact-form textarea {
    display: block;
    width: 100%;
    border: none;
    padding: 0.75rem;
    border-radius: 8px;
    resize: vertical;
}

.contact-form__btn--close:focus,
#contact-form input:focus,
#contact-form textarea:focus,
#contact-form button:focus {
    outline: 1px solid var(--light-color);
}

#contact-form .input-group .input-error-message {
    color: red;
    font-size: 0.875rem;
    margin-top: 0.5rem;
}

#contact-form button[type="submit"] {
    margin-bottom: 1.5rem;
}

#contact-form label,
#contact-form input,
#contact-form textarea {
    color: var(--light-color);
}

#contact-form input,
#contact-form textarea,
#contact-form button[type="submit"] {
    background-color: var(--darker-color);
}

.contact-form__success-message,
.contact-form__error-message {
    font-size: 1rem;
    margin: 1rem 0;
}
.contact-form__success-message.show {
    color: green;
}
.contact-form__error-message.show {
    color: red;
}

#contact-form .input-group .input-error-message,
.contact-form__success-message,
.contact-form__error-message {
    display: none;
    opacity: 0;
    transform: scaleY(0.8);
    transform-origin: top;
    transition:
        opacity var(--popup-transition-duration) ease-in-out,
        transform var(--popup-transition-duration) ease-in-out,
        display var(--popup-transition-duration) allow-discrete;
}

#contact-form .input-group .input-error-message.show,
.contact-form__success-message.show,
.contact-form__error-message.show {
    display: block;
    opacity: 1;
    transform: scaleY(1);
}

.contact-form__email-link {
    color: var(--light-color);
    text-decoration: underline;
}
.contact-form__email-link:hover,
.contact-form__email-link:focus {
    outline: 1px solid var(--light-color);
}

@media (min-width: 768px) {
    .hero__container  {
        flex-direction: row !important;
        align-items: center;
        max-width: 1400px;
        margin: auto;
    }

    .header__container {
        width: 55%;
    }

    .header__name {
        font-size: 5rem;
    }
    .header__role {
        font-size: 2rem;
    }
    .header__name, .header__role, .header__about-description {
        text-align: left;
    }

    .header__tech-stack {
        justify-content: flex-start;
        gap: 3rem;
    }

    .header__button {
        align-self: flex-start;
    }

    #contact-form {
        width: 45%;
    }
}

@starting-style {
    .contact-form__success-message.show,
    .contact-form__error-message.show,
    #contact-form .input-group .input-error-message.show {
        opacity: 0;
        transform: scaleY(0);
    }
}